Skip Navigation

Most, if not all, of these plug-ins are available as free downloads. Be sure to search the sites listed below for free versions of these plug-ins.

To use these plug-ins, your minimum hardware capabilities should include a Pentium 166 or greater processor with 64mgs of RAM, audio card, and Windows 9x.

If you are using Canvas, you should not be using certain browsers: Netscape 6.x and Explorer 5.5 (SPI).


Student Profile - Maribel